Quantcast

Installing matplotlib for Python 2.6 on windows

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Installing matplotlib for Python 2.6 on windows

Philip Bloom

What is the recommended way to install matplotlib for python 2.6?

I have numpy installed currently on my python 2.6 distribution.  Is there an existing binary installer for matplotlib?  Is the best thing to do to try and compile from the current .98.5 source?

Thanks for any help or advice, it is much appreciated.


------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
_______________________________________________
Matplotlib-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/matplotlib-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Installing matplotlib for Python 2.6 on windows

Patrick Marsh-2
As I mentioned in a previous email last night, I have built an
installer for matplotlib (updated this afternoon) off the SVN trunk.
You are welcome to use it, however be aware that maplotlib does not
support Python 2.6 (and won't until after Numpy officially supports
Python 2.6) and there are some known issues - one of which is that I
can't get Tkinter to work properly when using plot.show().  As a work
around I strongly suggest installing WxPython and using that as the
default backend.  If you do chose to use this installer please know
that it is unsupported and you are on your own if something breaks.

http://code.patricktmarsh.com/builds

-Patrick



On Tue, Feb 24, 2009 at 7:22 PM, Philip Bloom <[hidden email]> wrote:

> What is the recommended way to install matplotlib for python 2.6?
>
> I have numpy installed currently on my python 2.6 distribution.  Is there an
> existing binary installer for matplotlib?  Is the best thing to do to try
> and compile from the current .98.5 source?
>
> Thanks for any help or advice, it is much appreciated.
>
> ------------------------------------------------------------------------------
> Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
> -OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
> -Strategies to boost innovation and cut costs with open source participation
> -Receive a $600 discount off the registration fee with the source code: SFAD
> http://p.sf.net/sfu/XcvMzF8H
> _______________________________________________
> Matplotlib-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/matplotlib-users
>
>



--
Patrick Marsh
Graduate Research Assistant
School of Meteorology
University of Oklahoma
http://www.patricktmarsh.com

------------------------------------------------------------------------------
Open Source Business Conference (OSBC), March 24-25, 2009, San Francisco, CA
-OSBC tackles the biggest issue in open source: Open Sourcing the Enterprise
-Strategies to boost innovation and cut costs with open source participation
-Receive a $600 discount off the registration fee with the source code: SFAD
http://p.sf.net/sfu/XcvMzF8H
_______________________________________________
Matplotlib-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/matplotlib-users
Loading...